Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #269

Main Window Freezes when changing Winamp Skin or windowshading
March 19, 2013 20:37 - Brian M

Status: Rejected Start date: March 19, 2013
Priority: Major Due date:

Assignee: Brian M % Done: 0%

Category: plugins/skins Estimated time: 0.00 hour

Target version:

Affects version: 3.3.4

Description

the main window freezes in winamp themes when switch themes, or changing to windowshade mode. The audio continues to play,
and some buttons still work. Program can be rescued by exiting to gnome mode. The bug is always reproducible. The bug exists or
both the ubuntu repository release and on a new version 3.3.4 installed from source.

My system:

Acer Aspire one, AOA 150
1.6ghz threaded

1.5 gb ram

Bodhi Linux version 2.2.0 32 bit (E17 built on ubuntu)

History

#1 - March 19, 2013 23:41 - John Lindgren

Can you reproduce this under a different desktop/window manager?

#2 - March 20, 2013 09:40 - Brian M
- File shot-2013-03-20_01-05-27.jpg added

| tested this in Ixde on the same computer and it works correctly in LXDE. The problem seems to be only in E17.

Attached is a picture of a screen. Notice how the main window of the winamp interface is frozen in both the window blind and full size modes. The
windowblind buttons work. All animations are frozen. The more you change themes or window blind the less responsive the buttons get and the more
"layers" are drawn.

#3 - March 21, 2013 01:06 - John Lindgren

- Status changed from New to Rejected

It looks like E17's window manager does not support X11's Shape extension (http://www.x.org/releases/current/doc/xextproto/shape.html). The
Shape extension is required for the Winamp interface to display properly.

#4 - March 06, 2015 04:06 - John Lindgren
- Target version deleted (38)
